<?php
require_once 'Mudb/Db.php';
class Mudb_Application_Resource_Multirwdb extends Zend_Application_Resource_ResourceAbstract
{
    protected $_dbs = array();
	protected $_defaultDb;

    public function init() 
    {
        $options = $this->getOptions();
		$_defaultDb = MuDB_Db::getInstance($options);
		$this->_setDefault($_defaultDb);;
        return $this;
    }
	public function isDefault($db)
    {
        if(!$db instanceof Zend_Db_Adapter_Abstract) {
            $db = $this->getDb($db);
        }

        return $db === $this->_defaultDb;
    }
	public function getDb($db = null) 
    {
        if ($db === null) {
            return $this->getDefaultDb();
        }
        
        if (isset($this->_dbs[$db])) {
            return $this->_dbs[$db];
        }
        
        throw new Zend_Application_Resource_Exception(
            'A DB adapter was tried to retrieve, but was not configured'
        );
    }
	public function getDefaultDb($justPickOne = true) 
    {
        if ($this->_defaultDb !== null) {
            return $this->_defaultDb;
        }

        if ($justPickOne) {
            return reset($this->_dbs); // Return first db in db pool
        }
        
        return null;
    }
	protected function _setDefault(Zend_Db_Adapter_Abstract $adapter) 
    {
        Zend_Db_Table::setDefaultAdapter($adapter);
		$this->_defaultDb = $adapter;
    }
}
